------------------------------------------------------------------------------------------
-- Main file
-- Written by Homeopatix
-- 7 january 2021
------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------
-- Import Lotro librarys --
------------------------------------------------------------------------------------------
import "Turbine";
import "Turbine.UI"; 
import "Turbine.UI.Lotro";
import "Turbine.UI.Extensions";
import "Turbine.Gameplay";
import "Turbine.Gameplay.Attributes";
------------------------------------------------------------------------------------------
-- Import Globals --
------------------------------------------------------------------------------------------
if Turbine.Engine.GetLanguage() == Turbine.Language.German then
	import "Homeopatix.Voyage.GlobalsDE";
elseif Turbine.Engine.GetLanguage() == Turbine.Language.French then
	import "Homeopatix.Voyage.GlobalsFR";
elseif Turbine.Engine.GetLanguage() == Turbine.Language.English then
	import "Homeopatix.Voyage.GlobalsEN";
end
------------------------------------------------------------------------------------------
-- Import Utility --
------------------------------------------------------------------------------------------
import "Homeopatix.Voyage.VindarPatch";
import "Homeopatix.Voyage.Notification";
import "Homeopatix.Voyage.LoadAndSave";
import "Homeopatix.Voyage.MinimizedIcon";
import "Homeopatix.Voyage.FCT";
------------------------------------------------------------------------------------------
-- Import initialization --
------------------------------------------------------------------------------------------
import "Homeopatix.Voyage.Init";

if Turbine.Engine.GetLanguage() == Turbine.Language.German then
	import "Homeopatix.Voyage.DATA_DE";
elseif Turbine.Engine.GetLanguage() == Turbine.Language.French then
	import "Homeopatix.Voyage.DATA_FR";
elseif Turbine.Engine.GetLanguage() == Turbine.Language.English then
	import "Homeopatix.Voyage.DATA_EN";
end

import "Homeopatix.Voyage.Activation";
------------------------------------------------------------------------------------------
-- Import Scripts --
------------------------------------------------------------------------------------------
import "Homeopatix.Voyage.Main";
------------------------------------------------------------------------------------------
-- Import UI elements --
------------------------------------------------------------------------------------------
import "Homeopatix.Voyage.UI";
import "Homeopatix.Voyage.OptionsWindow";
import "Homeopatix.Voyage.OptionsWindowHousing";
import "Homeopatix.Voyage.MapWindow";
import "Homeopatix.Voyage.HelpWindow";
import "Homeopatix.Voyage.OptionsWindowTeleport";
import "Homeopatix.Voyage.OptionsWindowRegion";
------------------------------------------------------------------------------------------
-- Import Commands --
------------------------------------------------------------------------------------------
import "Homeopatix.Voyage.Commands";
------------------------------------------------------------------------------------------
-- create the localization texte
------------------------------------------------------------------------------------------
CreateLocalizationInfo();
------------------------------------------------------------------------------------------
-- create the window
------------------------------------------------------------------------------------------
GenerateWindow();
------------------------------------------------------------------------------------------
-- create the options window
------------------------------------------------------------------------------------------
GenerateOptionsWindow();
------------------------------------------------------------------------------------------
-- create the help window
------------------------------------------------------------------------------------------
GenerateHelpWindow();
------------------------------------------------------------------------------------------
-- create the option window for house
------------------------------------------------------------------------------------------
GenerateOptionsWindowHousing("");

GenerateOptionsWindowTeleport("", "");

GenerateOptionsWindowRegion("");

------------------------------------------------------------------------------------------
-- create the map window
------------------------------------------------------------------------------------------
CreateMapWindow("", 0);
------------------------------------------------------------------------------------------
-- handle minimizeIcon
------------------------------------------------------------------------------------------
CreateAndHandleMinimizeIcon();
------------------------------------------------------------------------------------------
-- event handling for escape key
------------------------------------------------------------------------------------------
EscapeKeyPressed();
------------------------------------------------------------------------------------------
-- if the position changes, save the new window location
------------------------------------------------------------------------------------------
WindowPositionChanged();
------------------------------------------------------------------------------------------
-- if the position changes, save the new option window location
------------------------------------------------------------------------------------------
OptionsWindowPositionChanged();