------------------------------------------------------------------------------------------
-- UI file
-- Written by Homeopatix
-- 7 january 2021
------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------
-- create the window
------------------------------------------------------------------------------------------
function CreateMapWindow(images, what)
    width = 1044;
    height = 808;

    windowWidth, windowHeight = Turbine.UI.Display:GetSize();

    MapWindow=Turbine.UI.Lotro.GoldWindow(); 
    MapWindow:SetSize(windowWidth, windowHeight); 
    MapWindow:SetPosition(windowWidth / 2 - width / 2, windowHeight / 2 - height / 2);
    MapWindow:SetSize(width, height);
    MapWindow:SetBlendMode(Turbine.UI.BlendMode.Undefined);
    MapWindow:SetBackColor(Turbine.UI.Color(0.0, 0, 0, 0));
    MapWindow:SetVisible(false);

    mapLabel = Turbine.UI.Label();
    mapLabel:SetPosition(10, 30);
    mapLabel:SetSize(1024, 768);

    MapWindow.Message=Turbine.UI.Label(); 
	MapWindow.Message:SetParent(MapWindow); 
	MapWindow.Message:SetSize(500,50); 
	MapWindow.Message:SetPosition(width / 2 - 250, height / 2 - 50 ); 
	MapWindow.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
    MapWindow.Message:SetFont(Turbine.UI.Lotro.Font.Verdana22);
    MapWindow.Message:SetForeColor(Turbine.UI.Color.Red);
    MapWindow.Message:SetText("");
    MapWindow.Message:SetZOrder(10);


    -- jolie bordure pour map = 0x4100813A
    --mapLabel:SetBackground(0x41008138); -- eriador
    --mapLabel:SetBackground(0x41154336); -- gondor  
    --mapLabel:SetBackground(0x411C2DE4); -- rovahnion
    -- evendim = 0x4101F084
    -- residence de falathorn = 0x410D9934^0
    -- residence du pay de bree = 0x410D9A54
    -- residence du palais de thorin = 0x410D9A56
    -- residence de la comte = 0x410D9A57
    -- forochel = 0x410E3F46
    -- annuminas = 0x410E6EAD
    -- eregion = 0x410E8686
    -- garas galthorn = 0x410E8706
    -- thotlorien = 0x410E8707
    -- debut des image de la moria -- 0x410E8708
    -- troue du rohan = 0x41116D55
    -- enedwaith = 0x411041A4
    -- debut pays de dun = 0x411195FF
    -- le grand fleuve = 0x4111E1C0
    -- stangarde = 0x41123F09
    -- le mur de l'est = 0x4112D1DC
    -- hardwick = 0x41132E10
    -- neigbronne = 0x41132E57
    -- les landes faarouche = 0x411375AF
    -- forloi =  0x411379FF
    -- debut edora = 0x4113C31E
    --mapLabel:SetBackground(racialLocationsMap[images]); -- rovahnion 
    --mapLabel:SetBackground(0x4115B98B); -- rovahnion 

    -- terre du millieu map   --  0x41008139

    if(what == "racial")then
        mapLabel:SetBackground(racialLocationsMap[what .. images]["mapHex"]);
        MapWindow:SetText(racialLocationsMap[what .. images]["texte"]);
    end
    if(what == "reput")then
        mapLabel:SetBackground(reputLocationsMap[what .. images]["mapHex"]);
        MapWindow:SetText(reputLocationsMap[what .. images]["texte"]);
    end

    if(what == "house")then
        if(images == 1)then
            index = settings["personalHouseMap"]["value"];
        end
        if(images == 2)then
            index = settings["confrerieHouseMap"]["value"];
        end
        if(images == 3)then
            index = settings["confrerieFriendHouseMap"]["value"];
        end
        if(images == 4)then
            index = settings["premiumHouseMap"]["value"];
        end
        if(index == 0)then
            	if Turbine.Engine.GetLanguage() == Turbine.Language.German then
                    mapLabel:SetBackground(0x41008139);
                    MapWindow.Message:SetText(Strings.PluginHouseAlert); 
                    MapWindow.Message:SetBackColor(Turbine.UI.Color( 1, .5, .7, .5));
                elseif Turbine.Engine.GetLanguage() == Turbine.Language.French then
                    mapLabel:SetBackground(0x41008139);
                    MapWindow.Message:SetText(Strings.PluginHouseAlert); 
                    MapWindow.Message:SetBackColor(Turbine.UI.Color( 1, .5, .7, .5));
                elseif Turbine.Engine.GetLanguage() == Turbine.Language.English then
                    mapLabel:SetBackground(0x41008139);
                    MapWindow.Message:SetText(Strings.PluginHouseAlert); 
                    MapWindow.Message:SetBackColor(Turbine.UI.Color( 1, .5, .7, .5));
                end
         
            MapWindow:SetText("Undefined");
        else
            mapLabel:SetBackground(houseLocationsMap[what .. index]["mapHex"]);
            MapWindow:SetText(houseLocationsMap[what .. index]["texte"]);
        end
    end

    if(what == "warden")then
        mapLabel:SetBackground(wardenLocationsMap[what .. images]["mapHex"]);
        MapWindow:SetText(wardenLocationsMap[what .. images]["texte"]);
    end

    if(what == "hunter")then
        mapLabel:SetBackground(hunterLocationsMap[what .. images]["mapHex"]);
        MapWindow:SetText(hunterLocationsMap[what .. images]["texte"]);
    end

    if(what == "creep")then
        mapLabel:SetBackground(creepLocationsMap[what .. images]["mapHex"]);
        MapWindow:SetText(creepLocationsMap[what .. images]["texte"]);
    end

    if(what == "tele")then
        if(images == 0)then
            	if Turbine.Engine.GetLanguage() == Turbine.Language.German then
                    mapLabel:SetBackground(0x41008139);
                    MapWindow.Message:SetText(Strings.PluginTeleportAlert); 
                    MapWindow.Message:SetBackColor(Turbine.UI.Color( 1, .5, .7, .5));
                elseif Turbine.Engine.GetLanguage() == Turbine.Language.French then
                    mapLabel:SetBackground(0x41008139);
                    MapWindow.Message:SetText(Strings.PluginTeleportAlert); 
                    MapWindow.Message:SetBackColor(Turbine.UI.Color( 1, .5, .7, .5));
                elseif Turbine.Engine.GetLanguage() == Turbine.Language.English then
                    mapLabel:SetBackground(0x41008139);
                    MapWindow.Message:SetText(Strings.PluginTeleportAlert); 
                    MapWindow.Message:SetBackColor(Turbine.UI.Color( 1, .5, .7, .5));
                end
         
            MapWindow:SetText("Undefined");
        else
            mapLabel:SetBackground(teleportLocationsMap[what .. images]["mapHex"]);
            --MapWindow:SetText(teleportLocationsMap[what .. images]["texte"]);
            MapWindow:SetText(Strings.Teleport[images]);
        end
    end


    mapLabel:SetParent(MapWindow);
    mapLabel:SetVisible(true);

    buttonValider = Turbine.UI.Lotro.GoldButton();
	buttonValider:SetParent( MapWindow );
	buttonValider:SetPosition(400, 776);
	buttonValider:SetSize( 300, 20 );
	buttonValider:SetFont(Turbine.UI.Lotro.Font.Verdana16);
	buttonValider:SetText( "Fermer la fenetre" );
	buttonValider:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	buttonValider:SetVisible(true);
	buttonValider:SetMouseVisible(true);
    buttonValider:SetZOrder(10);

    buttonValider.MouseClick = function(sender, args)
        CloseMapWindow();
    end

end
------------------------------------------------------------------------------------------
-- boutton valider
------------------------------------------------------------------------------------------
function CloseMapWindow()
    MapWindow:SetVisible(false);
    settings["isMapWindowVisible"]["value"] = false;
end
-- debut des icones d'escarmouche = 0x4110163B